LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-14-2018, 02:39 AM   #1066
lord_
LQ Newbie
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 4

Rep: Reputation: Disabled

Quote:
Originally Posted by ponce View Post
try updating it to 2.0.6 like this

http://ponce.cc/slackware/testing/poedit/

It solved it.
Thanks!
 
Old 04-14-2018, 04:35 AM   #1067
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 823

Rep: Reputation: 244Reputation: 244Reputation: 244
lbzip2 , is now on current , remove from the git.

Wed Apr 11 20:38:06 UTC 2018
a/lbzip2-2.5-x86_64-1.txz: Added.
 
Old Yesterday, 05:30 PM   #1068
lord_
LQ Newbie
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 4

Rep: Reputation: Disabled
Error building doomseeker 1.1

Can't build latest doomseeker for -current

https://pastebin.com/raw/DmgdNK64
 
Old Yesterday, 11:16 PM   #1069
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,094

Original Poster
Rep: Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061
Quote:
Originally Posted by lord_ View Post
Can't build latest doomseeker for -current

https://pastebin.com/raw/DmgdNK64
modify the SlackBuild like this to build a snapshot: note that it will need qt5
Code:
diff -Naur doomseeker.orig/doomseeker.SlackBuild doomseeker/doomseeker.SlackBuild                                                                                              
--- doomseeker.orig/doomseeker.SlackBuild       2018-04-16 15:26:49.500346000 +0200                                                                                            
+++ doomseeker/doomseeker.SlackBuild    2018-04-19 06:11:48.429346000 +0200                                                                                                    
@@ -7,7 +7,7 @@                                                                                                                                                                
 # Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.                                                                                                
                                                                                                                                                                               
 PRGNAM=doomseeker
-VERSION=${VERSION:-1.1}
+VERSION=${VERSION:-20180306_c2c7f37}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}
 
@@ -43,9 +43,9 @@
 rm -rf $PKG
 mkdir -p $TMP $PKG $OUTPUT
 cd $TMP
-rm -rf $PRGNAM-${VERSION}_src
-tar xvf $CWD/$PRGNAM-${VERSION}_src.tar.bz2
-cd $PRGNAM-${VERSION}_src
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
 chown -R root:root .
 find -L . \
  \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,13 +68,6 @@
   make install/strip DESTDIR=$PKG
 cd ..
 
-# Shared lib gets installed to wrong place, easier to fix it here than patch.
-# Also note, doomseeker violates the FHS by placing shared objects in /usr/share.
-# I won't try to fix that, but I will strip them.
-[ "$LIBDIRSUFFIX" != "" ] && mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
-chmod 755 $PKG/usr/share/$PRGNAM/engines/*.so
-strip $PKG/usr/share/$PRGNAM/engines/*.so
-
 # Fix the .desktop file
 sed -i \
   -e '/^Categories/s/$/;/' \
diff -Naur doomseeker.orig/doomseeker.info doomseeker/doomseeker.info
--- doomseeker.orig/doomseeker.info     2018-04-16 15:26:49.500346000 +0200
+++ doomseeker/doomseeker.info  2018-04-19 06:09:41.911346000 +0200
@@ -1,10 +1,10 @@
 PRGNAM="doomseeker"
-VERSION="1.1"
+VERSION="20180306_c2c7f37"
 HOMEPAGE="http://doomseeker.drdteam.org/"
-DOWNLOAD="http://doomseeker.drdteam.org/files/doomseeker-1.1_src.tar.bz2"
-MD5SUM="3cf94d1e6fbdf1ae683bf3a9019a1431"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/doomseeker-20180306_c2c7f37.tar.xz"
+MD5SUM="d88f5917e7074c0da8529abc40a66808"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
-REQUIRES=""
+REQUIRES="qt5"
 MAINTAINER="B. Watson"
 EMAIL="yalhcru@gmail.com"
 
Old Yesterday, 11:18 PM   #1070
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,094

Original Poster
Rep: Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061
IMPORTANT NOTICE TO ALL REPORTERS

after the latest current updates of april 19th 2018 you have to rebuild *ALL* of your third party packages not provided by Slackware: be sure to have done that before reporting issues in this thread.
 
3 members found this post helpful.
Old Yesterday, 11:21 PM   #1071
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,002

Rep: Reputation: Disabled
Come on, '*ALL*' is not even remotely true. There are a lot of programs available at SBo that do not use .la files and do not use build systems that use .la files... Dumbing it down for users is not kind or productive.
 
1 members found this post helpful.
Old Yesterday, 11:32 PM   #1072
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,094

Original Poster
Rep: Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061
Quote:
Originally Posted by orbea View Post
Come on, '*ALL*' is not even remotely true. There are a lot of programs available at SBo that do not use .la files and do not use build systems that use .la files... Dumbing it down for users is not kind or productive.
ok, so orbea volunteers to help whoever won't rebuild all of his third party packages

Last edited by ponce; Today at 12:13 AM.
 
4 members found this post helpful.
Old Yesterday, 11:48 PM   #1073
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,094

Original Poster
Rep: Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061
*deleted post*
 
Old Today, 03:21 AM   #1074
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 608

Rep: Reputation: 261Reputation: 261Reputation: 261
I'm going to do what I always do which is rebuild the dependencies. I'm not going to rebuild 100+ packages when I have no reason to.
 
Old Today, 03:24 AM   #1075
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,094

Original Poster
Rep: Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061Reputation: 2061
Quote:
Originally Posted by RadicalDreamer View Post
I'm going to do what I always do which is rebuild the dependencies. I'm not going to rebuild 100+ packages when I have no reason to.
remember, please, to state that in the event of reporting something in this thread.
 
1 members found this post helpful.
Old Today, 03:27 AM   #1076
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 608

Rep: Reputation: 261Reputation: 261Reputation: 261
Quote:
Originally Posted by ponce View Post
remember, please, to state that in the event of reporting something in this thread.
Yes sir!
 
Old Today, 05:56 AM   #1077
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 608

Rep: Reputation: 261Reputation: 261Reputation: 261
obrea OpenCOLLADA is having issues with pcre

Code:
In file included from /tmp/SBo/OpenCOLLADA-1.6.62/COLLADABaseUtils/src/COLLADABUURI.cpp:18:0:
/usr/include/pcre.h:325:33: error: conflicting declaration ‘typedef struct real_pcre8_or_16 pcre’
 typedef struct real_pcre8_or_16 pcre;
                                 ^~~~
In file included from /tmp/SBo/OpenCOLLADA-1.6.62/COLLADABaseUtils/src/COLLADABUURI.cpp:14:0:
/tmp/SBo/OpenCOLLADA-1.6.62/COLLADABaseUtils/include/COLLADABUPcreCompiledPattern.h:17:26: note: previous declaration as ‘typedef struct real_pcre pcre’
 typedef struct real_pcre pcre;
                          ^~~~
make[2]: *** [COLLADABaseUtils/CMakeFiles/OpenCOLLADABaseUtils_shared.dir/build.make:76: COLLADABaseUtils/CMakeFiles/OpenCOLLADABaseUtils_shared.dir/src/COLLADABUURI.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:560: COLLADABaseUtils/CMakeFiles/OpenCOLLADABaseUtils_shared.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
**Disclaimer only rebuilding dependencies of Blender at the moment

Edit:
OpenColorio will not build if OpenImageIO is installed. It tries to link to it & runs into libboost issues. I removed them both and OpenColorio was able to build.

Last edited by RadicalDreamer; Today at 06:48 AM.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration